      SUBROUTINE Euler(y,x,delta_x)
*     明確さのためだけに変数 slope と change を導入する
      IMPLICIT NONE
      REAL*8 change, slope, y, x, delta_x
      slope = 2*x                           ! 区間の初めの傾き
      change = slope*delta_x                ! 区間における変化の計算
      y = y + change                        ! y の新しい値
      x = x + delta_x                       ! 区間の終りの x の値
      END
